<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package Haine
 */

get_header();
?>

	<main id="primary" class="site-main">

		<!-- START PAGE TITLE AREA --> 
		<div class="page-title-area">
	        <div class="container">
	            <div class="page-title-content">
	                <h1><?php esc_html_e( '404 Page Not Found', 'haine' ); ?></h1>
	                <nav aria-label="breadcrumb">
	                  <ol class="breadcrumb justify-content-center">
	                    <li class="breadcrumb-item">
	                        <a href="<?php echo esc_url(home_url('/')); ?>">
								<?php echo esc_html('Home', 'haine'); ?>
							</a>
	                    </li>
	                    <li class="breadcrumb-item active" aria-current="page">
	                        <?php esc_html_e( '404 Page Not Found', 'haine' ); ?>
	                    </li>
	                  </ol>
	                </nav>
	            </div>
	        </div>
	    </div>
	    <!-- END PAGE TITLE AREA -->

		<!-- Start 404 Error -->
		<div class="page-error-area ptb-70">
			<div class="container">
				<div class="page-error-content">
					<h3><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'haine' ); ?></h3>
					<p><?php esc_html_e( 'The page you are looking for might have been removed had its name changed or is temporarily unavailable.', 'haine' ); ?></p>
					<?php get_search_form(); ?>
					<a href="<?php echo esc_url(home_url('/')); ?>" class="default-btn active icon">
						<i class='bx bx-home-circle'></i>
						<?php echo esc_html_e( 'Back to Home', 'haine' ); ?>
					</a>
				</div>
			</div>
		</div>
		<!-- End 404 Error -->

	</main><!-- #main -->

<?php
get_footer();
