<?php
/**
 * The template for displaying archive pages
 *
 * @package Haine
 */

get_header();
?>

	<main id="primary" class="site-main">

		<!-- START PAGE TITLE AREA --> 
		<div class="page-title-area">
	        <div class="container">
	            <div class="page-title-content">
	                <h1><?php the_archive_title(); ?></h1>
	                <nav aria-label="breadcrumb">
	                  <ol class="breadcrumb justify-content-center">
	                    <li class="breadcrumb-item">
	                        <a href="<?php echo esc_url(home_url('/')); ?>">
								<?php echo esc_html('Home', 'haine'); ?>
							</a>
	                    </li>
	                    <li class="breadcrumb-item active" aria-current="page">
	                        <?php the_archive_title(); ?>
	                    </li>
	                  </ol>
	                </nav>
	            </div>
	        </div>
	    </div>
	    <!-- END PAGE TITLE AREA -->

		<?php 
		if ( have_posts() ) : 

			get_template_part( 'template-parts/content', get_post_type() );

		else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

	</main><!-- #main -->

<?php

get_footer();
