(function($) {
	'use strict';

	// Header Sticky
	$(window).on('scroll',function() {
		if ($(this).scrollTop() > 120){
			$('.navbar-area').addClass("is-sticky");
		}
		else{
			$('.navbar-area').removeClass("is-sticky");
		}
	});

	// Others Option For Responsive JS
	$(".others-option-for-responsive .dot-menu").on("click", function(){
		$(".others-option-for-responsive .container .container").toggleClass("active");
	});

	// Search Menu JS
	$(".others-option .search-item a").on("click", function(){
		$(".search-overlay").toggleClass("search-overlay-active");
	});
	
	$(".search-overlay-close").on("click", function(){
		$(".search-overlay").removeClass("search-overlay-active");
	});

	/*====================
	Nice Select JS
	======================*/
	$('select').niceSelect();

	/*====================
	Tooltip JS
	======================*/
	$(function () {
		$('[data-toggle="tooltip"]').tooltip();
	});
    
    /*====================
	Wow JS
	======================*/
	if($('.wow').length){
		var wow = new WOW({
			mobile: false
		});
		wow.init();
	}

	/*====================
	Odometer JS
	======================*/
	$('.odometer').appear(function(e) {
		var odo = $(".odometer");
		odo.each(function() {
			var countNumber = $(this).attr("data-count");
			$(this).html(countNumber);
		});
	});

	/*====================
	Popup Image JS
	======================*/
	$('.popup-btn').magnificPopup({
		type: 'image',
		gallery:{
			enabled:true
		}
	});

	/*====================
	Animation JS
	======================*/
	new WOW().init();

	/*====================
	Input Plus & Minus Number JS
	======================*/
	$('.input-counter').each(function() {
		var spinner = jQuery(this),
		input = spinner.find('input[type="text"]'),
		btnUp = spinner.find('.plus-btn'),
		btnDown = spinner.find('.minus-btn'),
		min = input.attr('min'),
		max = input.attr('max');
		
		btnUp.on('click', function() {
			var oldValue = parseFloat(input.val());
			if (oldValue >= max) {
				var newVal = oldValue;
			} else {
				var newVal = oldValue + 1;
			}
			spinner.find("input").val(newVal);
			spinner.find("input").trigger("change");
		});
		btnDown.on('click', function() {
			var oldValue = parseFloat(input.val());
			if (oldValue <= min) {
				var newVal = oldValue;
			} else {
				var newVal = oldValue - 1;
			}
			spinner.find("input").val(newVal);
			spinner.find("input").trigger("change");
		});
	});

	/*====================
	Go to Top JS
	======================*/
	$(window).on('scroll', function(){
		var scrolled = $(window).scrollTop();
		if (scrolled > 300) $('.go-top').addClass('active');
		if (scrolled < 300) $('.go-top').removeClass('active');
	});

	/*====================
	Go to Top Click Event JS
	======================*/
	$('.go-top').on('click', function() {
		$("html, body").animate({ scrollTop: "0" },  500);
	});

	/*====================
	Site Navigation JS
	======================*/
	$( '.toggle-nav' ).click( function() {
		$( this ).toggleClass( 'menu-open' );
		$( '#site-navigation' ).toggleClass( 'menu-open' );
		$( '.others-option-for-responsive' ).toggleClass( 'menu-open' );
		$( '.others-option-for-responsive .dot-menu' ).toggleClass('dot-menu-effect');
	});

	$( '.sub-trigger' ).click( function() {
		$( this ).toggleClass( 'is-open' );
		$( this ).siblings( '.dropdown-menu' ).toggle( 300 );
	});

	$( '#site-navigation .menu-close' ).on( 'click', function(e) {
		$( '.toggle-nav' ).toggleClass( 'menu-open' );
		$( '#site-navigation' ).toggleClass( 'menu-open' );
		$( '.toggle-nav' ).focus();
		$( '.others-option-for-responsive .dot-menu' ).css( 'display', 'block' );
	});

})(jQuery);
