<?php
/**
 * The template for displaying comments
 *
 * @package Haine
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-area comments-wrap">

	<?php

	if ( have_comments() ) :
		?>
		<h2 class="comments-title title">
			<?php
			$haine_comment_count = get_comments_number();
			if ( '1' === $haine_comment_count ) {
				printf(
	
					esc_html__( 'One thought on &ldquo;%1$s&rdquo;', 'haine' ),
					'<span>' . wp_kses_post( get_the_title() ) . '</span>'
				);
			} else {
				printf( 
				
					esc_html( _nx( '%1$s thought on &ldquo;%2$s&rdquo;', '%1$s thoughts on &ldquo;%2$s&rdquo;', $haine_comment_count, 'comments title', 'haine' ) ),
					number_format_i18n( $haine_comment_count ),
					'<span>' . wp_kses_post( get_the_title() ) . '</span>'
				);
			}
			?>
		</h2><!-- .comments-title -->

		<?php the_comments_navigation(); ?>

		<ul class="comment-list">
			<?php
			wp_list_comments(
				array(
					'style'      => 'ul',
					'avatar_size' => 80,
					'short_ping' => true
				)
			);
			?>
		</ul><!-- .comment-list -->

		<?php
		the_comments_navigation();

		if ( ! comments_open() ) :
			?>
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'haine' ); ?></p>
			<?php
		endif;

	endif;

	comment_form();
	?>

</div><!-- #comments -->
