<?php
/**
 * The header for our theme
 *
 * @package Haine
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'haine' ); ?></a>

	<div class="navbar-area">
	    <div class="haine-responsive-nav">
	        <div class="container">
	            <div class="row">
	                <div class="col-lg-6 col-md-12">
	                    <div class="logo">
	                        <?php
							the_custom_logo(); ?>
						</div>
					    <div class="site-branding">
							<?php if ( is_front_page() && is_home() ) :
								?>
								<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
								<?php
							else :
								?>
								<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
								<?php
							endif;
							$haine_description = get_bloginfo( 'description', 'display' );
							if ( $haine_description || is_customize_preview() ) :
								?>
								<p class="site-description"><?php echo esc_html($haine_description); ?></p>
							<?php endif; ?>
	                    </div>
	                </div>
	                <div class="col-lg-6 col-md-12">
	                    <div class="haine-mobile-menu">
	                        <button class="toggle-nav"></button>
	                        <div id="site-navigation" role="navigation">
	                            <div class="site-main-menu">
	                                <?php
		                            $theme_location = 'haine-primary-menu';
									if ( has_nav_menu( $theme_location ) ) :
									    wp_nav_menu( array( 
									        'theme_location'  => $theme_location,
				                            'container'       => null,
				                            'menu_class'      => 'menu',
				                            'depth'           => 3,
				                            'walker'          => new Haine_Bootstrap_Navwalker(),
				                            'fallback_cb'     => 'Haine_Bootstrap_Navwalker::fallback'
									    ) );
	                                else: 
	                                    if( is_user_logged_in() ) {
	                                    echo wp_kses_post( '<ul class="m-auto"><li class="nav-item"><a class="nav-link" href="'.esc_url(home_url('/')).'/wp-admin/nav-menus.php">Create a menu</a></li></ul>', 'haine' );
	                                    }
	                                    else{
	                                    echo wp_kses_post( '<ul class="m-auto"><li class="nav-item"><a class="nav-link" href="'.esc_url(home_url('/')).'">Home</a></li></ul>', 'haine' );
	                                    }
	                                endif;
	                                ?>
	                            </div>

	                            <button class="icons menu-close"><?php esc_html_e( 'Close Menu', 'haine' ); ?></button>
	                        </div>
	                    </div>
	                </div>
	            </div>
	        </div>
	    </div>

	    <div class="haine-nav">
	        <div class="container-fluid">
	            <nav class="navbar navbar-expand-md navbar-light">
	                <?php
					the_custom_logo(); ?>

				    <div class="site-branding">
						<?php if ( is_front_page() && is_home() ) :
							?>
							<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
							<?php
						else :
							?>
							<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
							<?php
						endif;
						$haine_description = get_bloginfo( 'description', 'display' );
						if ( $haine_description || is_customize_preview() ) :
							?>
							<p class="site-description"><?php echo esc_html($haine_description); ?></p>
						<?php endif; ?>
                    </div>

	                <div class="collapse navbar-collapse mean-menu">
	                    <?php
	                    $theme_location = 'haine-primary-menu';
						if ( has_nav_menu( $theme_location ) ) :
						    wp_nav_menu( array( 
						        'theme_location'  => $theme_location,
	                            'container'       => null,
	                            'menu_class'      => 'navbar-nav m-auto',
	                            'depth'           => 3,
	                            'walker'          => new Haine_Bootstrap_Navwalker(),
	                            'fallback_cb'     => 'Haine_Bootstrap_Navwalker::fallback'
						    ) );
                        else: 
                            if( is_user_logged_in() ) {
                            echo wp_kses_post( '<ul class="m-auto"><li class="nav-item"><a class="nav-link" href="'.esc_url(home_url('/')).'/wp-admin/nav-menus.php">Create a menu</a></li></ul>', 'haine' );
                            }
                            else{
                            echo wp_kses_post( '<ul class="m-auto"><li class="nav-item"><a class="nav-link" href="'.esc_url(home_url('/')).'">Home</a></li></ul>', 'haine' );
                            }
                        endif;
                        ?>

	                    <div class="others-option d-flex align-items-center">

	                        <?php if( get_theme_mod('hide_header_search') === '' || get_theme_mod('hide_header_search') === false ) : ?>
	                            <div class="option-item search-item">
	                                <a href="#">
                                    	<div class="search-box">
                                            <i class='bx bx-search'></i>
                                        </div>
                                    </a>
	                            </div>
	                        <?php endif; ?>

	                        <?php if( get_theme_mod('hide_header_search') === '' || get_theme_mod('hide_header_search') === false ) : ?>
							    <!-- Search Overlay -->
							    <div class="search-overlay">
							        <div class="d-table">
							            <div class="d-table-cell">
							                <div class="search-overlay-layer"></div>
							                <div class="search-overlay-layer"></div>
							                <div class="search-overlay-layer"></div>

							                <a href="#" class="search-overlay-close">
							                    <span class="search-overlay-close-line"></span>
							                    <span class="search-overlay-close-line"></span>
							                </a>

							                <div class="search-overlay-form">
							                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-form" method="get">
							                    	<label for='search' class='screen-reader-text'><?php _e( 'Search', 'haine' ); ?></label> 
							                        <input type="search" name="search" class="input-search" placeholder="<?php if( get_theme_mod('search_placeholder_text') == '' ) : echo esc_html('Search...', 'haine'); else: echo esc_html(get_theme_mod('search_placeholder_text')); endif; ?>">
							                        <button type="submit"><i class='bx bx-search'></i></button>
							                    </form>
							                </div>
							            </div>
							        </div>
							    </div>
							    <!-- End Search Overlay -->
							<?php endif; ?>

	                        <?php if (class_exists('WooCommerce')): ?>
	                            <?php if( get_theme_mod('hide_header_cart') === '' || get_theme_mod('hide_header_cart') === false ) : ?>
	                                <div class="option-item">
	                                    <a href="<?php echo esc_url(wc_get_cart_url()) ?>" class="cart-btn">
	                                        <i class='bx bx-shopping-bag'></i>
	                                        <span class="mini-cart-count">0</span>
	                                    </a>
	                                </div>
	                            <?php endif; ?>
	                        <?php endif; ?>
                            
                            <?php if( get_theme_mod('hide_header_btn') === '' || get_theme_mod('hide_header_btn') === false ): ?>
	                            <div class="option-item">
	                                <a href="<?php if( get_theme_mod('button_link') == '' ) : echo esc_html('#'); else: echo esc_html(get_theme_mod('button_link')); endif; ?>" class="default-btn"><?php if( get_theme_mod('button_text') == '' ) : echo esc_html('Shop Now', 'haine'); else: echo esc_html(get_theme_mod('button_text')); endif; ?></a>
	                            </div>
	                        <?php endif; ?>
	                    </div>
	                </div>
	            </nav>
	        </div>
	    </div>

        <div class="others-option-for-responsive">
            <div class="container">
                <div class="dot-menu">
                    <a href="#" class="inner">
                        <div class="circle circle-one"></div>
                        <div class="circle circle-two"></div>
                        <div class="circle circle-three"></div>
                    </a>
                </div>

                <div class="container">
                    <div class="option-inner">
                        <div class="others-option d-flex align-items-center justify-content-center">

                            <?php if( get_theme_mod('hide_header_search') === '' || get_theme_mod('hide_header_search') === false ) : ?>
                                <div class="option-item search-item">
                                    <a href="#">
                                    	<div class="search-box">
                                            <i class='bx bx-search'></i>
                                        </div>
                                    </a>
                                </div>
                            <?php endif; ?>

                            <?php if (class_exists('WooCommerce')): ?>
                                <?php if( get_theme_mod('hide_header_cart') === '' || get_theme_mod('hide_header_cart') === false ) : ?>
                                    <div class="option-item">
                                        <a href="<?php echo esc_url(wc_get_cart_url()) ?>" class="cart-btn">
                                            <i class='bx bx-shopping-bag'></i>
                                            <span class="mini-cart-count">0</span>
                                        </a>
                                    </div>
                                <?php endif; ?>
                            <?php endif; ?>

	                        <?php if( get_theme_mod('hide_header_btn') === '' || get_theme_mod('hide_header_btn') === false ): ?>
	                            <div class="option-item">
	                                <a href="<?php if( get_theme_mod('button_link') == '' ) : echo esc_html('#'); else: echo esc_html(get_theme_mod('button_link')); endif; ?>" class="default-btn"><?php if( get_theme_mod('button_text') == '' ) : echo esc_html('Shop Now', 'haine'); else: echo esc_html(get_theme_mod('button_text')); endif; ?></a>
	                            </div>
	                        <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>

            <?php if( get_theme_mod('hide_header_search') === '' || get_theme_mod('hide_header_search') === false ) : ?>
			    <!-- Search Overlay -->
			    <div class="search-overlay">
			        <div class="d-table">
			            <div class="d-table-cell">
			                <div class="search-overlay-layer"></div>
			                <div class="search-overlay-layer"></div>
			                <div class="search-overlay-layer"></div>

			                <a href="#" class="search-overlay-close">
			                    <span class="search-overlay-close-line"></span>
			                    <span class="search-overlay-close-line"></span>
			                </a>

			                <div class="search-overlay-form">
			                    <form action="<?php echo esc_url( home_url( '/' ) ); ?>" class="search-form" method="get">
			                    	<label for='search' class='screen-reader-text'><?php _e( 'Search', 'haine' ); ?></label> 
			                        <input type="search" name="search" class="input-search" placeholder="<?php if( get_theme_mod('search_placeholder_text') == '' ) : echo esc_html('Search...', 'haine'); else: echo esc_html(get_theme_mod('search_placeholder_text')); endif; ?>">
			                        <button type="submit"><i class='bx bx-search'></i></button>
			                    </form>
			                </div>
			            </div>
			        </div>
			    </div>
			    <!-- End Search Overlay -->
			<?php endif; ?>

        </div>

	</div>
