<?php

class haine_banner extends WP_Widget {
    public function __construct() {
        parent::__construct('haine_banner', __('Haine Banner', 'haine'), array(
            'description' => __( 'This is a banner widget.', 'haine')
        ));
    }
    
    public function widget( $args, $instance ) { ?>

        <!-- Start Banner Area -->
        <div class="banner-wrapper-area">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-6 col-md-12">
                        <div class="banner-wrapper-content">

                            <?php $banner_title = $instance['banner-title'];
                            if( isset( $banner_title ) && ! $banner_title == '' ) : ?>
                                <h1 class="wow fadeInDown" data-wow-delay=".4s"><?php echo esc_html($banner_title); ?></h1>
                            <?php endif; ?>

                            <?php $banner_desc = $instance['banner-desc'];
                            if( isset( $banner_desc ) && ! $banner_desc == '' ) : ?>
                                <p class="wow fadeInUp" data-wow-delay=".6s"><?php echo wp_kses_post($banner_desc); ?></p>
                            <?php endif; ?>
                            
                            <?php 
                            if( isset( $instance['show-banner-btn'] ) ) :
                                $show_banner_btn = $instance['show-banner-btn'];
                            endif;
                            $button_text1 = $instance['button-text1'];
                            $button_text2 = $instance['button-text2'];
                            $button_link1 = $instance['button-link1'];
                            $button_link2 = $instance['button-link2'];
                            if( isset($show_banner_btn) ) : ?>
                                <div class="btn-box wow fadeInUp" data-wow-delay=".8s">
                                    <?php if( $button_text1 != '' ): ?>
                                        <a href="<?php echo esc_url( $button_link1 ); ?>" class="default-btn active"><?php echo esc_html( $button_text1 ); ?></a>
                                    <?php endif; ?>
                                    <?php if( $button_text2 != '' ): ?>
                                        <a href="<?php echo esc_url( $button_link2 ); ?>" class="default-btn"><?php echo esc_html( $button_text2 ); ?></a>
                                    <?php endif; ?>
                                </div>
                            <?php endif; ?>

                        </div>
                    </div>

                    <div class="col-lg-6 col-md-12">
                        <div class="banner-wrapper-image wow fadeInUp" data-wow-delay=".9s">
                            <?php $banner_image = $instance['banner-image'];
                            if( isset( $banner_image ) && ! $banner_image == '' ) : ?>
                                 <img src="<?php echo esc_url( $banner_image ); ?>" alt="Banner" />
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- End Banner Area -->
        
    <?php }

    public function form( $instance ) {
        if( isset( $instance['banner-title'] ) ) :
            $banner_title = $instance['banner-title'];
        endif;
        if( isset( $instance['banner-desc'] ) ) :
            $banner_desc = $instance['banner-desc'];
        endif;
        if( isset( $instance['show-banner-btn'] ) ) :
            $show_banner_btn = $instance['show-banner-btn'];
        endif;
        if( isset( $instance['button-text1'] ) ) :
            $button_text1 = $instance['button-text1'];
        endif;
        if( isset( $instance['button-link1'] ) ) :
            $button_link1 = $instance['button-link1'];
        endif;
        if( isset( $instance['button-text2'] ) ) :
            $button_text2 = $instance['button-text2'];
        endif;
        if( isset( $instance['button-link2'] ) ) :
            $button_link2 = $instance['button-link2'];
        endif;
        if( isset( $instance['banner-image'] ) ) :
            $banner_image = $instance['banner-image'];
        endif;
    ?>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('banner-title') ); ?>"><?php echo __( 'Banner Title:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('banner-title') ); ?>" name="<?php echo esc_html( $this->get_field_name('banner-title') ); ?>" value="<?php if( isset( $banner_title ) ) : echo esc_attr( $banner_title ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('banner-desc') ); ?>"><?php echo __( 'Banner Description:', 'haine'); ?></label>
    </p>

    <p>
       <textarea rows="10" cols="50" class="large-text code" id="<?php echo esc_html( $this->get_field_id('banner-desc') ); ?>" name="<?php echo esc_html( $this->get_field_name('banner-desc') ); ?>"><?php if( isset( $banner_desc ) ) : echo esc_attr( $banner_desc ); endif; ?></textarea>
    </p>

    <p>
        <label for="<?php echo esc_html($this->get_field_id('show-banner-btn')); ?>"><?php echo __( 'Show Banner Button', 'haine'); ?></label>
        <input <?php checked($show_banner_btn, 1); ?> type="checkbox" id="<?php echo esc_html($this->get_field_id('show-banner-btn')); ?>" name="<?php echo esc_html($this->get_field_name('show-banner-btn')); ?>" value="1">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('button-text1') ); ?>"><?php echo __( 'Button Text 1:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('button-text1') ); ?>" name="<?php echo esc_html( $this->get_field_name('button-text1') ); ?>" value="<?php if( isset( $button_text1 ) ) : echo esc_attr( $button_text1 ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('button-link1') ); ?>"><?php echo __( 'Button Link 1:', 'haine'); ?></label>
    </p>

    <p>
       <input type="url" class="widefat" id="<?php echo esc_html( $this->get_field_id('button-link1') ); ?>" name="<?php echo esc_html( $this->get_field_name('button-link1') ); ?>" value="<?php if( isset( $button_link1 ) ) : echo esc_attr( $button_link1 ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('button-text2') ); ?>"><?php echo __( 'Button Text 2:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('button-text2') ); ?>" name="<?php echo esc_html( $this->get_field_name('button-text2') ); ?>" value="<?php if( isset( $button_text2 ) ) : echo esc_attr( $button_text2 ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('button-link2') ); ?>"><?php echo __( 'Button Link 2:', 'haine'); ?></label>
    </p>

    <p>
       <input type="url" class="widefat" id="<?php echo esc_html( $this->get_field_id('button-link2') ); ?>" name="<?php echo esc_html( $this->get_field_name('button-link2') ); ?>" value="<?php if( isset( $button_link2 ) ) : echo esc_attr( $button_link2 ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('banner-image') ); ?>"><?php echo __( 'Banner Image URL:', 'haine'); ?></label>
    </p>

    <p>
       <input type="url" class="widefat" id="<?php echo esc_html( $this->get_field_id('banner-image') ); ?>" name="<?php echo esc_html( $this->get_field_name('banner-image') ); ?>" value="<?php if( isset( $banner_image ) ) : echo esc_attr( $banner_image ); endif; ?>">
    </p>

    <?php }
}

function haine_banner_function() {
    register_widget('haine_banner');
}

add_action('widgets_init', 'haine_banner_function');
