<?php

class haine_contact_us extends WP_Widget {
    public function __construct() {
        parent::__construct('haine_contact_us', __('Haine Contact Us', 'haine'), array(
            'description' => __('This is a contact us widget.', 'haine')
        ));
    }
    
    public function widget( $args, $instance ) { ?>

        <div class="f-col relative col-lg-3 col-md-6 col-sm-6 col-12">
            <div class="static_all">
            
                <div class="footer-static-title">
                    <?php $title = $instance['title']; ?>
                    <h3 class="widget-title"><?php echo esc_html( $title ); ?></h3>
                </div>

                <div class="footer-static-content">
                    <div class="footer-contact">

                        <ul>
                            <?php 
                            $address_title = $instance['address_title'];
                            $address = $instance['address'];
                            if( $address ) : ?>
                                <li class="address">
                                    <i class="bx bx-map"></i>
                                    <span><?php echo esc_html($address_title); ?></span>
                                    <?php echo wp_kses_post($address); ?>
                                </li>
                            <?php endif; 
                            $email_title = $instance['email_title']; 
                            $email = $instance['email']; 
                            if( $email ) : ?>
                                <li class="address">
                                    <i class="bx bx-envelope"></i>
                                    <span><?php echo esc_html($email_title); ?></span>
                                    <?php echo wp_kses_post($email); ?></li>
                            <?php endif; 
                            $phone_title = $instance['phone_title'];
                            $phone = $instance['phone']; 
                            if( $phone ) : ?>
                                <li class="address">
                                    <i class="bx bx-phone"></i>
                                    <span><?php echo esc_html($phone_title); ?></span>
                                    <?php echo wp_kses_post($phone); ?></li>
                            <?php endif; ?>
                        </ul> 

                    </div>
                </div>

            </div>
        </div>                           

    <?php }

    public function form( $instance ) {
        if( isset( $instance['title'] ) ) :
            $title = $instance['title'];
        endif;

        if( isset( $instance['address_title'] ) ) :
            $address_title  = $instance['address_title'];
        endif;
        if( isset( $instance['address'] ) ) :
            $address = $instance['address'];
        endif;

        if( isset( $instance['email_title'] ) ) :
            $email_title = $instance['email_title'];
        endif;
        if( isset( $instance['email'] ) ) :
            $email = $instance['email'];
        endif;

        if( isset( $instance['phone_title'] ) ) :
            $phone_title = $instance['phone_title'];
        endif;
        if( isset( $instance['phone'] ) ) :
            $phone = $instance['phone'];
        endif;                     
    ?>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('title') ); ?>"><?php echo __('Title:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('title') ); ?>" name="<?php echo esc_html( $this->get_field_name('title') ); ?>" value="<?php if( isset( $title ) ) : echo esc_attr( $title ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('address_title') ); ?>"><?php echo __('Address Title:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('address_title') ); ?>" name="<?php echo esc_html( $this->get_field_name('address_title') ); ?>" value="<?php if( isset( $address_title ) ) : echo esc_attr( $address_title ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('address') ); ?>"><?php echo __('Address:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('address') ); ?>" name="<?php echo esc_html( $this->get_field_name('address') ); ?>" value="<?php if( isset( $address ) ) : echo esc_attr( $address ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('email_title') ); ?>"><?php echo __('Email Title:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('email_title') ); ?>" name="<?php echo esc_html( $this->get_field_name('email_title') ); ?>" value="<?php if( isset( $email_title ) ) : echo esc_attr( $email_title ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('email') ); ?>"><?php echo __('Email:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('email') ); ?>" name="<?php echo esc_html( $this->get_field_name('email') ); ?>" value="<?php if( isset( $email ) ) : echo esc_attr( $email ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('phone_title') ); ?>"><?php echo __('Phone Title:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('phone_title') ); ?>" name="<?php echo esc_html( $this->get_field_name('phone_title') ); ?>" value="<?php if( isset( $phone_title ) ) : echo esc_attr( $phone_title ); endif; ?>">
    </p>

    <P>
        <label for="<?php echo esc_html( $this->get_field_id('phone') ); ?>"><?php echo __('Phone:', 'haine'); ?></label>
    </p>

    <p>
       <input type="text" class="widefat" id="<?php echo esc_html( $this->get_field_id('phone') ); ?>" name="<?php echo esc_html( $this->get_field_name('phone') ); ?>" value="<?php if( isset( $phone ) ) : echo esc_attr( $phone ); endif; ?>">
    </p>

    <?php }
}

function haine_contact_us_function() {
    register_widget('haine_contact_us');
}

add_action('widgets_init', 'haine_contact_us_function');
