<?php
/**
 * The template for displaying search results pages
 *
 * @package Haine
 */

get_header();
?>

	<main id="primary" class="site-main">

		<!-- START PAGE TITLE AREA --> 
		<div class="page-title-area">
	        <div class="container">
	            <div class="page-title-content">
	                <h1>
	                	<?php
						/* translators: %s: search query. */
						printf( esc_html__( 'Search Results for: %s', 'haine' ), '<span>' . get_search_query() . '</span>' );
						?>	
					</h1>
	                <nav aria-label="breadcrumb">
	                  <ol class="breadcrumb justify-content-center">
	                    <li class="breadcrumb-item">
	                        <a href="<?php echo esc_url(home_url('/')); ?>">
								<?php echo esc_html('Home', 'haine'); ?>
							</a>
	                    </li>
	                    <li class="breadcrumb-item active" aria-current="page">
	                        <?php echo get_search_query(); ?>
	                    </li>
	                  </ol>
	                </nav>
	            </div>
	        </div>
	    </div>
	    <!-- END PAGE TITLE AREA -->

		<?php if ( have_posts() ) : ?>

			<div class="container-fluid ptb-70">

				<?php
				while ( have_posts() ) :
					the_post();

					get_template_part( 'template-parts/content', 'search' );

				endwhile;

				the_posts_navigation(); ?>

			</div>

		<?php else :

			get_template_part( 'template-parts/content', 'none' );

		endif;
		?>

	</main><!-- #main -->

<?php

get_footer();
