<?php
/**
 * Template part for displaying post details
 *
 * @package Covid_Plus
 */
?>

<!-- START BLOG DETAILS AREA -->
<section class="blog-area animated fadeInLeft pt-40 pb-70">
    <div class="container-fluid">
        <div class="row">
            <div class="col-lg-8 col-md-12">        
                <div class="blog-details-left-area">
                    <div class="blog-details-single-post">
                        <div class="blog-details-img">
                            <?php the_post_thumbnail(); ?> 
                        </div>

                        <?php if( get_post_type() == 'post' ) : ?>
                        
                        <ul>
                            <li>
                                <?php 
                                $archive_year  = get_the_time( 'Y' ); 
                                $archive_month = get_the_time( 'm' ); 
                                $archive_day   = get_the_time( 'd' ); 
                                ?>
                                <i class="bx bx-time"></i>
                                <a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ); ?>">
                                    <?php the_time('d M, Y'); ?>
                                </a>
                            </li>
                            <li><i class="bx bx-user"></i>
                                <a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>"><?php the_author(); ?></a>
                            </li>
                            <li>
                                <i class="bx bx-comment"></i> 
                                <?php comments_popup_link('No comment','One comment','% comments','cmnt','comments off'); ?>
                            </li>
                        </ul>

                        <?php endif; ?>

                        <h3><?php the_title(); ?></h3>

                        <?php the_content(); ?>

                    </div>
                    
                    <?php if( get_post_type() == 'post' ) : ?>
                        <div class="blog-details-sheare">
                            <div class="row align-items-center">
                                <div class="col-lg-6 col-sm-6">
                                    <div class="blog-sheare-tag">
                                        <ul>
                                            <li><?php echo esc_html_e('Share', 'haine'); ?></li>
                                        </ul>
                                    </div>
                                </div>

                                <?php 
                                $share_url   = get_the_permalink();
                                $share_title = get_the_title();
                                $share_desc  = get_the_excerpt(); ?>

                                <div class="col-lg-6 col-sm-6">
                                    <ul class="social-icon">
                                        <li>
                                            <a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo esc_url($share_url); ?>" onclick="window.open(this.href, 'facebook-share','width=580,height=296'); return false;" class="facebook" target="_blank"><i class='bx bxl-facebook'></i></a>
                                        </li>
                                        <li>
                                            <a href="https://twitter.com/share?text=<?php echo urlencode($share_title); ?>&url=<?php echo esc_url($share_url); ?>" target="_blank">
                                                <i class="bx bxl-twitter"></i>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="https://pinterest.com/pin/create/button/?url=<?php echo esc_url($share_url); ?>" target="_blank">
                                                <i class="bx bxl-pinterest-alt"></i>
                                            </a>
                                        </li>
                                        <li>
                                            <a href="https://www.linkedin.com/shareArticle?mini=true&amp;url=<?php echo esc_url($share_url); ?>&amp;title=<?php echo urlencode($share_title); ?>&amp;summary=&amp;source=<?php bloginfo('name'); ?>" onclick="window.open(this.href, 'linkedin','width=580,height=296'); return false;" class="linkedin" target="_blank"><i class="bx bxl-linkedin"></i></a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>

                    <?php

                    $prevPost = get_previous_post(true);
                    $nextPost = get_next_post(true); 
                    if($prevPost || $nextPost) : ?>
                        <div class="prev-next">
                            <div class="row align-items-center">
                                <?php if($prevPost) :
                                    $args = array(
                                        'posts_per_page' => 1,
                                        'include' => $prevPost->ID
                                    ); 
                                    $prevPost = get_posts($args); 
                                    foreach ($prevPost as $post) {
                                        setup_postdata($post); ?>
								        <?php if(!$nextPost) : ?>
                                            <div class="col-lg-12 col-sm-12">
										<?php else: ?>
											<div class="col-lg-6 col-sm-6">
										<?php endif; ?>
                                            <div class="prev-post">
                                                <a href="<?php the_permalink(); ?>">
                                                    <i class="bx bx-left-arrow-alt"></i>
                                                    <?php echo esc_html('Previous post', 'haine'); ?>
                                                </a>
                                            </div>
                                        </div>
                                        <?php wp_reset_postdata();
                                    } 
                                endif; ?>
                                <?php if($nextPost) :
                                    $args = array(
                                        'posts_per_page' => 1,
                                        'include' => $nextPost->ID
                                    ); 
                                    $nextPost = get_posts($args); 
                                    foreach ($nextPost as $post) {
                                        setup_postdata($post); ?>
                                        <?php if(!$prevPost) : ?>
                                            <div class="col-lg-12 col-sm-12">
										<?php else: ?>
											<div class="col-lg-6 col-sm-6">
										<?php endif; ?>
                                            <div class="next-post">
                                                <a href="<?php the_permalink(); ?>">
                                                    <?php echo esc_html('Next post', 'haine'); ?>
                                                    <i class="bx bx-right-arrow-alt"></i>
                                                </a>
                                            </div>
                                        </div>
                                        <?php wp_reset_postdata();
                                    }
                                endif; ?>
                            </div>
                        </div>
                    <?php endif; ?>
                    
                    <?php if( get_post_type() == 'post' ) : ?>
                        <div class="profile">
                            <div class="profile-img">
                                <?php echo get_avatar( get_the_author_meta( 'ID' )); ?>
                                <h3><?php the_author(); ?></h3>
                                <p><?php the_author_meta('description'); ?></p>
                            </div>
                        </div>
                    <?php endif; ?>

                    <div class="comment-area">
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="comment-form">
                                    <?php 
                                    if ( comments_open() || get_comments_number() ) :
                                        comments_template();
                                    endif; ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-4 col-md-12">
                <div class="blog-details-right-area">
                    <?php dynamic_sidebar('blog-sidebar'); ?>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- END BLOG DETAILS AREA -->
