<?php
/**
 * Template part for displaying posts
 *
 * @package Haine
 */

?>

<div class="container-fluid">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

		<!-- START BLOG AREA -->
		<section class="blog-area animated fadeInLeft pt-40 pb-70">
			<div class="row">
				<?php 
                    $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;
                    $blog_post = new WP_Query(array(
                        'post_type'       => 'post',
                        'paged'           => $paged 
                    ));
                ?>

                <?php while( $blog_post->have_posts() ) : $blog_post->the_post(); ?>
					<div class="blog-col col-lg-4 col-md-6">
						<div class="single-blog">
							<div class="image">
								<?php haine_post_thumbnail(); ?>
								<?php if (has_post_thumbnail( $post->ID ) ): ?>
								    <?php $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'single-post-thumbnail' ); ?>
								    <div class="main-img" style="background-image: url('<?php echo esc_url($image[0]); ?>')">

								    </div>
								<?php endif; ?>
							</div>
							<div class="blog-content">
								<ul>
									<li>
										<a href="<?php echo get_author_posts_url(get_the_author_meta('ID')); ?>">
											<i class="bx bx-user"></i>
											<?php the_author(); ?>
										</a>
									</li>
									<li>
										<?php 
										$archive_year  = get_the_time( 'Y' ); 
										$archive_month = get_the_time( 'm' ); 
										$archive_day   = get_the_time( 'd' ); 
										?>
										<a href="<?php echo esc_url( get_day_link( $archive_year, $archive_month, $archive_day ) ); ?>">
										    <i class="bx bx-time"></i>
										    <?php the_time('d M, Y'); ?>
										</a>
									</li>
								</ul>
								
								<h3 class="title">
									<a href="<?php the_permalink(); ?>">
										<?php the_title(); ?>
									</a>
								</h3>
								<p><?php echo esc_html(wp_trim_words( get_the_excerpt(), '16', '' )); ?></p>
								<div class="read-more">
									<a href="<?php the_permalink(); ?>">
										<span>
											<?php echo esc_html('Read More', 'haine'); ?>
										</span>
									</a>
								</div>
							</div>
						</div>
					</div>
				<?php endwhile; ?>
				<?php wp_reset_query();
				$prev_link = get_previous_posts_link(__('&laquo; Older Entries', 'haine'));
                $next_link = get_next_posts_link(__('Newer Entries &raquo;', 'haine'));
				if( $prev_link || $next_link ) : ?>  
					<div class="col-lg-12 col-md-12">
	                    <div class="pagination-area text-center">
	                    	<?php 
		                        the_posts_pagination(array(
		                        'show_all'           => 'false',
		                        'prev_text'          => sprintf('<i class="bx bx-chevrons-left"></i>'),
		                        'next_text'          => sprintf('<i class="bx bx-chevrons-right"></i>'),
		                        'screen_reader_text' => ' ',
		                        )); 
		                    ?>
	                    </div>
	                </div>
                <?php endif; ?>

			</div>
		</section>
		<!-- END BLOG AREA -->

	</article><!-- #post-<?php the_ID(); ?> -->
</div>
